Sync
Push replica ops
Ingest sealed replica ops from a device. Write permission when auth is on. Rejects unsealed E2EE ops.
POST
/
v1
/
sync
/
ops
Push replica ops
curl --request POST \
--url https://api.elanotes.com/v1/sync/ops \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ops": [
{
"actor": "<string>",
"deviceId": "<string>",
"hlc": {
"counter": 4503599627370495,
"deviceId": "<string>",
"physicalMs": 0
},
"noteId": "<string>",
"opId": "<string>",
"patches": {},
"sealed": true
}
]
}
'import requests
url = "https://api.elanotes.com/v1/sync/ops"
payload = { "ops": [
{
"actor": "<string>",
"deviceId": "<string>",
"hlc": {
"counter": 4503599627370495,
"deviceId": "<string>",
"physicalMs": 0
},
"noteId": "<string>",
"opId": "<string>",
"patches": {},
"sealed": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ops: [
{
actor: '<string>',
deviceId: '<string>',
hlc: {counter: 4503599627370495, deviceId: '<string>', physicalMs: 0},
noteId: '<string>',
opId: '<string>',
patches: {},
sealed: true
}
]
})
};
fetch('https://api.elanotes.com/v1/sync/ops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ops": [
{
"actor": "<string>",
"createdAt": "<string>",
"deviceId": "<string>",
"hlc": {
"counter": 4503599627370495,
"deviceId": "<string>",
"physicalMs": 0
},
"noteId": "<string>",
"opId": "<string>",
"patches": {
"body": {
"from": "<string>",
"to": "<string>"
},
"deleted": {
"from": true,
"to": true
},
"slug": {
"from": "<string>",
"to": "<string>"
},
"tags": {
"from": "<string>",
"to": "<string>"
},
"title": {
"from": "<string>",
"to": "<string>"
}
},
"seq": 0,
"sealed": true,
"visibility": "standard"
}
]
}{
"details": [
{
"@type": "<string>"
}
],
"error": "<string>",
"help": "<string>",
"hint": "<string>",
"message": "<string>",
"reason": "<string>",
"requestId": "<string>",
"statusCode": 0
}{
"details": [
{
"@type": "<string>"
}
],
"error": "<string>",
"help": "<string>",
"hint": "<string>",
"message": "<string>",
"reason": "<string>",
"requestId": "<string>",
"statusCode": 0
}{
"details": [
{
"@type": "<string>"
}
],
"error": "<string>",
"help": "<string>",
"hint": "<string>",
"message": "<string>",
"reason": "<string>",
"requestId": "<string>",
"statusCode": 0
}{
"details": [
{
"@type": "<string>"
}
],
"error": "<string>",
"help": "<string>",
"hint": "<string>",
"message": "<string>",
"reason": "<string>",
"requestId": "<string>",
"statusCode": 0
}Authorizations
Static bearer, WorkOS JWT, or open local when AUTH_REQUIRED is off and no static tokens are set. The token selects the vault; paths do not include vault_id.
Body
application/json
Required array length:
1 - 500 elementsShow child attributes
Show child attributes
Response
Default Response
Show child attributes
Show child attributes
⌘I
Push replica ops

